Bug 970270 - Totem AC3 passthrough doesn't work
Totem AC3 passthrough doesn't work
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 16:44 EDT by Dawid Zamirski
Modified: 2015-12-02 11:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:47:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dawid Zamirski 2013-06-03 16:44:27 EDT
Description of problem:
As of PulseAudio 1.0 and later the AC3 Passtrough should work with Totem but it does not seem to work for me. My setup is as follows

1. In pavucontrol, I have checked the AC3 support in advanced settings
2. In pavucontrol, the output device is set to Digital Output (S/PDIF)
3. In totem preferences, I have Audio options set to use AC3 Passthrough
4. In pavucontrol, playback tab, the only stream present is System Sounds - can't get rid of it but I guess that's how it's supposed to be. I have muted the system sounds in Gnome sound settings panel.

Attempting to play a video file with AC3 audio stream still does not seem to switch to passthrough mode - it play just in stereo mode.



Version-Release number of selected component (if applicable):
totem-3.8.2-1.fc19.x86_64
pulseaudio-3.0-10.fc19.x86_64
gstreamer1-plugins-good-1.0.7-1.fc19.x86_64
gstreamer-plugins-good-0.10.31-9.fc19.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Attempt to play a file with 6 channel AC3 sound track using totem
2.
3.

Actual results:
Plays in stereo

Expected results:
Should passthrough the AC3 stream to the receiver as is.

Additional info:
According to this: 
http://www.freedesktop.org/wiki/Software/PulseAudio/Documentation/User/Passthrough/

it should work out of the box.

It works well when playing using mplayer with alsa output.
Comment 1 Fedora End Of Life 2015-01-09 13:18:58 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 10:26:36 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Fedora End Of Life 2015-11-04 08:34:30 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-12-01 21:47:56 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.